unit UDisplay;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, vcl.Printers, Vcl.ExtCtrls,
  VclTee.TeeGDIPlus, VCLTee.TeEngine, VCLTee.TeeProcs, VCLTee.Chart,
  Vcl.StdCtrls, Vcl.Imaging.pngimage, VCLTee.TeeComma, VCLTee.Series;

type
  TForm7 = class(TForm)
    Panel1: TPanel;
    Chart1: TChart;
    Label1: TLabel;
    TeeCommander1: TTeeCommander;
    Series1: TBarSeries;
    BAllFonts: TButton;
    procedure FormShow(Sender: TObject);
    procedure BAllFontsClick(Sender: TObject);
  private
    { Private declarations }
  protected
    procedure Resize; override;
  public
    { Public declarations }
  end;

var
  Form7: TForm7;
  aRect : TRect;

implementation

{$R *.dfm}

uses TeCanvas;

const stdScr = 1920; //assuming screen is capable of 1920

procedure TForm7.BAllFontsClick(Sender: TObject);

  procedure SetFont(AFont: TTeeFont);
  begin
    AFont.Name:=Label1.Font.Name;
    AFont.Size:=Label1.Font.Size;
  end;

begin
  SetFont(Chart1.Title.Font);
  SetFont(Chart1.Axes.Left.LabelsFont);
  SetFont(Chart1.Axes.Bottom.LabelsFont);
  SetFont(Chart1.Legend.Font);
  SetFont(Series1.Marks.Font);
end;

procedure TForm7.FormShow(Sender: TObject);
begin
  Series1.FillSampleValues(20);
  Label1.Font.Size := Chart1.Title.Font.Size;
  Label1.Font.Name := Chart1.Title.Font.Name;
end;

procedure TForm7.Resize;
begin
  inherited;
  Label1.Caption := Format('%s [height: %d; width: %d]', [Chart1.Title.Caption,  height, width]);
  Label1.Font.Size := Chart1.Title.Font.Size;
  Label1.Font.Name := Chart1.Title.Font.Name;

end;

end.


